// ---------------------------------------------------- //
// 						 INSTRUCTIONS 		  			//
// ---------------------------------------------------- //


/*

For the individual assignment, you will need to deliver a do-file 
containing the commands and your  interpretations of the analysis 
to demonstrate the originality of your work. Please avoid replicating 
the work of others.

Each question should include command(s), as well as a discussion 
of the findings. 

Please ensure that the do-file can be executed without error messages 
and that all notes are expressed properly in the Stata commenting mode 
(highlighted in green). 




// ---------------------------------------------------- //
// 						 TITLE: 		  				//
// 		 "Wages in Nigeria and their predictors" 	    //
// ---------------------------------------------------- //
			

			

 
// ---------------------------------------------------- //
// 						 INTRODUCTION 			  		//
// ---------------------------------------------------- //


The current assignment requires the use of data from 
the General Household Survey (GHS) and the Living Standard 
Measurement Study (LSMS) conducted in Nigeria in 2013. 
This dataset includes information about a sample of Nigerian 
workers, including their socio-demographic context, educational 
attainment, household characteristics, and employment status. 
All monetary values are expressed in Naira. 

Your task is to analyze this data and provide interpretations 
of the findings using appropriate statistical methods. 


// ---------------------------------------------------- //
*/ 

 
// ---------------------------------------------------- //
// 						 PART A  		  				//				
//				 OPENING OF THE DO-FILE 				//
// ---------------------------------------------------- //
*1) Provide your working directory and other necessary info
*2) Start logging







// ---------------------------------------------------- //
// 						 PART B 		  				//				
//				 INTRODUCTORY DATA ANALYSIS 			//
// ---------------------------------------------------- //
*1)	Open the LSMS_2013 dataset and describe its contents. 
*2) What is the number of numeric variables?
*3) How many states does the dataset refer to?
*4) Merge the dataset with the supplementary dataset on the name of zone    
	// each state belongs to LSMS_2013_zone (hint: use state variable as key)
*5) Sort the dataset according to gender (increasing) and  
	// to age (decreasing)
*6)	Discuss the missing data in the dataset 
*7) List first 15 observations of the data on the results window






// ---------------------------------------------------- //
// 						 PART C 		  				//				
//				 DESCRIPTIVE STATISTICS		 			//
// ---------------------------------------------------- //
*1) Obtain and comment the statistical properties of age, wage_m and edu_years
*2) What is the proportion of individuals living in rural areas?
*3) Which zone of the country is the most represented?
*4) Obtain a histogram of age, and discuss the age structure of 
	// individuals. Is there a particular pattern around ages 
	// 30/35/40/45/50/55/60, can you think of the reason why?
*5) What is the most and the second most frequent type of marital status 
	// that individuals have ?
*6) Generate dummy variables for 4 age classes 
	//(18-35, 36-55, 56-65, 66-75) 
	*6a) Create variable labels for the new variables generated
	*6b) Create value labels for the values of the new variables generated
*7) How many polygamous relationships are there among women aged between 45 and 60?
*8) What is the proportion of illiteracy by state?
*9) What is the average monthly wage by rural/urban sector?
*10) What is the number of individuals whose wage is lower 
	// than the average national median?
*11) Obtain the histogram of wages for the rural and urban sector 
	// and comment them 
*12) What is the prevalence of individuals with tertiary education 
	// for each gender/age class disaggregation?
*13) Generate a new variable summing up all types of 
	// expenditure an individual registers creating total_expenditure
*14) Edit the contents of the variable describing the polygamy status 
	// changing the missing observations into 999  



	
	
	
// ---------------------------------------------------- //
// 						 PART D 		  				//				
//				 ECONOMETRIC ANALYSIS		 			//
// ---------------------------------------------------- //
*1) Analyze the correlation between wages, age, 
	// and years of schooling
*2) Obtain a twoway graph with a scatterplot and a linear fit 
	// between wages and total_expenditure and comment 
*3) Estimate a regression model which examines the determinants of wages 
	// and comment on the estimation results
	*(among the determinants include: age, gender, zones, rural/urban sector, 
	// education attainment, job activity sector, marital status) 
*4) Based on the estimates above answer the following questions:
	*4a) Is there a wage premium for secondary and teritary education? 
	*4b) Is there a gender penalty in wages?
	*4c) Are there statistically significant differences in wages 
		// by rural/urban sector?
	*4d) Discuss the estimates of age on wages
	*4e) Which state is associated with the highest wage premium?
	*4f) Discuss the results obtained in a heteroskedasticity robust framework



 




